Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8244972

SunMSCAPI is unexpectedly dependent on ncrypt.dll

    Details

      Description

      A DESCRIPTION OF THE PROBLEM :
      Java 8 builds for Windows target NT 5.1 for 32-bit releases and NT 5.2 for 64-bit releases. This includes the latest 8u251 b33. However, beginning with 8u251 the native SunMSCAPI library (sunmscapi.dll) is dependent on the "Windows cryptographic library" (ncrypt.dll). This dependency doesn't exist in NT 5.1 or NT 5.2. It only exists in NT 6.0 and later.

      REGRESSION : Last worked in version 8

      STEPS TO FOLLOW TO REPRODUCE THE PROBLEM :
      Execute a Java application that requires Java's crypto support in NT 5.1 (Windows XP) or Windows NT 5.2 (Windows Server 2003 and Windows XP x64) using a Java 8u251 release. I used an application that attempts to open a secure connection to the host www.duckduckgo.com for testing.

      EXPECTED VERSUS ACTUAL BEHAVIOR :
      EXPECTED -
      Application connects successfully.
      ACTUAL -
      Exception in thread "main" java.lang.UnsatisfiedLinkError: Z:\jre1.8.0_251\bin\sunmscapi.dll: Can't find dependent libraries

      CUSTOMER SUBMITTED WORKAROUND :
      Substitute the 8u241 build of the SunMSCAPI library for the incompatible 8u251 build, or revert to using 8u241 entirely on NT 5.1 / NT 5.2.

      FREQUENCY : always


        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rsurianaraya Rajagopal Surianarayanan
                Reporter:
                webbuggrp Webbug Group
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: